Skip to main content
GET
/
brand
/
{domain}
Get a brand profile
curl --request GET \
  --url https://api.logo.dev/brand/{domain} \
  --header 'Authorization: Bearer <token>'
{ "name": "sweetgreen", "domain": "sweetgreen.com", "description": "Simple, seasonal, healthy salads and grain bowls made in-house from scratch.", "indexed_at": "2025-03-10T11:36:23.885238001Z", "socials": { "facebook": "http://facebook.com/sweetgreen", "instagram": "https://www.instagram.com/sweetgreen/", "twitter": "https://x.com/sweetgreen" }, "social_banners": [ "https://img.logo.dev/sweetgreen.com/banner.png?token=LOGO_DEV_PUBLISHABLE_KEY" ], "logo": "https://img.logo.dev/sweetgreen.com?token=LOGO_DEV_PUBLISHABLE_KEY", "brandmark": "https://img.logo.dev/sweetgreen.com/brandmark?token=LOGO_DEV_PUBLISHABLE_KEY", "logo_blurhash": "UJPanPxr?Vj[oxazj@od_FWDDoodxrodagWD", "colors": [ { "r": 228, "g": 255, "b": 85, "hex": "#e4ff55" }, { "r": 10, "g": 75, "b": 43, "hex": "#0a4b2b" }, { "r": 125, "g": 173, "b": 80, "hex": "#7dad50" } ], "is_profane": false }

Authorizations

Authorization
string
header
required

Secret key (sk_...). Server-side only. Used for the REST APIs.

Path Parameters

domain
string
required

Company domain.

Example:

"sweetgreen.com"

Response

Brand data for the domain.

Structured brand data for a domain (Brand API).

name
string
required
domain
string
required
description
string
indexed_at
string<date-time>
socials
object

Detected social profiles. Only detected networks are present.

social_banners
string<uri>[]

Brand social/banner image URLs (e.g. Twitter/OG banners).

brandmark
string<uri>

Renderable URL for the brand's wordmark/brandmark. Omitted when none was selected.

logo_blurhash
string

Compact blurred-placeholder string for the logo.

colors
object[]

Prominent colors, roughly ordered by prominence.

is_profane
boolean

Whether the brand content was flagged as potentially inappropriate.